%Process NOAANSIDC CDR of Passive Microwave sea ice concentration data
%Interpolation and processing of sea ice density in boundary field file of RAS model
% Created by xiechuan  
% date: 2021/10/20
clc;
clear all;
close all;
%
year_begin=2012;     
year_end=2012;
%-------1:SMMR-----2:AMSRE----3:SSMIS-----4:AMSR2-------
year0=1998;
Year_list=[year0:2016]';
Year_list(1,2)=1;   %1998
Year_list(2,2)=1;   %1999
Year_list(3,2)=1;   %2000
Year_list(4,2)=1;   %2001
Year_list(5,2)=1;   %2002
Year_list(6,2)=2;    %2003
Year_list(7,2)=2;    %2004
Year_list(8,2)=2;    %2005
Year_list(9,2)=2;    %2006
Year_list(10,2)=2;   %2007
Year_list(11,2)=2;   %2008
Year_list(12,2)=2;   %2009
Year_list(13,2)=2;   %2010
Year_list(14,2)=1;   %2011
Year_list(15,2)=1;   %2012
Year_list(16,2)=4;   %2013
Year_list(17,2)=4;   %2014
Year_list(18,2)=4;   %2015
Year_list(19,2)=4;   %2016
%---------------------------------------------------------
ROMS_grdfiles_dir=['..\Ross_amundsen_roms_model\grid_file\'];
grdfilename=[ROMS_grdfiles_dir,'RAS_grd_32layer_new.nc'];     
mask_rho=ncread(grdfilename,'mask_rho');
lon_rho=ncread(grdfilename,'lon_rho');
lat_rho=ncread(grdfilename,'lat_rho');
for i=1:1000
    for j=1:1000
        if lon_rho(i,j)<0
            lon_rho(i,j)=lon_rho(i,j)+360;
        end
    end
end
lon_west=lon_rho(1,:);
lat_west=lat_rho(1,:);
mask_west=mask_rho(1,:);
lon_east=lon_rho(end,:);
lat_east=lat_rho(end,:);
mask_east=mask_rho(end,:);
lon_north=lon_rho(:,end);
lat_north=lat_rho(:,end);
mask_north=mask_rho(:,end);

AMSR2_filedir='..\Ross_amundsen_roms_model\boundary_file\A2_sic_rawdata\AMSR2\6.25km\';
AMSRE_filedir='..\Ross_amundsen_roms_model\boundary_file\A2_sic_rawdata\AMSRE\6.25km\';
SSMIS_filedir='..\Ross_amundsen_roms_model\boundary_file\A2_sic_rawdata\SSMIS\';
SMMR_filedir='..\Ross_amundsen_roms_model\boundary_file\A2_sic_rawdata\SMMR\';
output_datafir='..\Ross_amundsen_roms_model\boundary_file\B2_Glosea5_after_interp\';

for iyear=year_begin:year_end
    %---------------------------------------------------
    %------------------------SMMR-----------------------
    %---------------------------------------------------
    if Year_list(iyear-year0+1,2)==1
       % NOAA/NSIDC CDR data
       % NSIDC-processed Bootstrap daily sea ice concentrations      
        filename=[SMMR_filedir,'year\seaice_conc_daily_sh_1998_v04r00.nc'];
        lat_smmr=ncread(filename,'latitude');
        lon_smmr=ncread(filename,'longitude');
        lon_smmr(find(lon_smmr<0))=lon_smmr(find(lon_smmr<0))+360;
        for jmonth=1:12
           total_day=1;
           for kday=1:eomday(iyear,jmonth)
               filename=[SMMR_filedir,num2str(iyear),'\seaice_conc_daily_sh_',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),'_f17_v04r00.nc'];
               sic_tmp=ncread(filename,'nsidc_bt_seaice_conc');  
               sic_tmp(find(sic_tmp>1))=NaN;
               aice_east_tmp=griddata(lat_smmr,lon_smmr,sic_tmp,lat_east,lon_east,'cubic')';
               aice_west_tmp=griddata(lat_smmr,lon_smmr,sic_tmp,lat_west,lon_west,'cubic')';
               aice_north_tmp=griddata(lat_smmr,lon_smmr,sic_tmp,lat_north,lon_north,'cubic');
               aice_east_tmp(isnan(aice_east_tmp))=0;
               aice_west_tmp(isnan(aice_west_tmp))=0;
               aice_north_tmp(isnan(aice_north_tmp))=0;
               aice_east_tmp(find(aice_east_tmp<0))=0;
               aice_west_tmp(find(aice_west_tmp<0))=0;
               aice_north_tmp(find(aice_north_tmp<0))=0;
               aice_east(:,total_day)=aice_east_tmp.*mask_east';
               aice_west(:,total_day)=aice_west_tmp.*mask_west';
               aice_north(:,total_day)=aice_north_tmp.*mask_north;
               total_day=total_day+1;
               disp(['Processing : ',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),' ... ']);
           end
           aice_east(590:641,:)=repmat(aice_east(642,:),52,1);
           aice_west(581:628,:)=repmat(aice_west(629,:),48,1);
           aice_west(find(aice_west>1))=1;aice_west(find(aice_west<0))=0;
           aice_east(find(aice_east>1))=1;aice_east(find(aice_east<0))=0;
           aice_north(find(aice_north>1))=1;aice_north(find(aice_north<0))=0;
           bryfilename=[output_datafir,'RAS_bry_data_',num2str(iyear),num2str(jmonth,'%02d'),'.mat'];
           save(bryfilename,'aice_east','aice_west','aice_north','-append');
           clear aice_east aice_west aice_north
        end
    end
    %-----------------------------------------------------
    %--------------------------AMSRE----------------------
    %-----------------------------------------------------
    
    if Year_list(iyear-year0+1,2)==2
        % AMSRE       
        filename_grid=[AMSRE_filedir,'LongitudeLatitudeGrid-s6250-Antarctic.hdf'];
        lon_amsr=hdfread(filename_grid,'Longitudes')';
        lat_amsr=hdfread(filename_grid,'Latitudes')';
        for jmonth=1:12
           total_day=1;
           for kday=1:eomday(iyear,jmonth)
               filename=[AMSRE_filedir,num2str(iyear),'\asi-s6250-',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),'-v5.4.nc'];
               sic_tmp=ncread(filename,'z');
               aice_east_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_east,lon_east,'cubic')'./100;
               aice_west_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_west,lon_west,'cubic')'./100;
               aice_north_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_north,lon_north,'cubic')./100;
               aice_east_tmp(isnan(aice_east_tmp))=0;
               aice_west_tmp(isnan(aice_west_tmp))=0;
               aice_north_tmp(isnan(aice_north_tmp))=0;
               aice_east_tmp(find(aice_east_tmp<0))=0;
               aice_west_tmp(find(aice_west_tmp<0))=0;
               aice_north_tmp(find(aice_north_tmp<0))=0;
               aice_east(:,total_day)=aice_east_tmp.*mask_east';
               aice_west(:,total_day)=aice_west_tmp.*mask_west';
               aice_north(:,total_day)=aice_north_tmp.*mask_north;
               total_day=total_day+1;
               disp(['Processing : ',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),' ... ']);
           end
           aice_east(590:608,:)=repmat(aice_east(609,:),19,1);
           aice_west(581:613,:)=repmat(aice_west(614,:),33,1);
           aice_west(find(aice_west>1))=1;aice_west(find(aice_west<0))=0;
           aice_east(find(aice_east>1))=1;aice_east(find(aice_east<0))=0;
           aice_north(find(aice_north>1))=1;aice_north(find(aice_north<0))=0;
           bryfilename=[output_datafir,'RAS_bry_data_',num2str(iyear),num2str(jmonth,'%02d'),'.mat'];
           save(bryfilename,'aice_east','aice_west','aice_north','-append');
           clear aice_east aice_west aice_north
        end
    end
    
    %-----------------------------------------------------
    %-------------------------SSMIS-----------------------
    %-----------------------------------------------------
    
    if Year_list(iyear-year0+1,2)==3
        % SSMIS
        filename_grid=[SSMIS_filedir,'LongitudeLatitudeGrid-s6250-Antarctic.hdf'];
        lon_amsr=hdfread(filename_grid,'Longitudes');
        lat_amsr=hdfread(filename_grid,'Latitudes');
        for jmonth=1:12
           total_day=1;
           for kday=1:eomday(iyear,jmonth)
               filename=[SSMIS_filedir,num2str(iyear),'\asi-SSMIS17-s6250-',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),'-v5.hdf'];
               sic_tmp=hdfread(filename,'ASI Ice Concentration');
               aice_east_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_east,lon_east,'cubic')'./100;
               aice_west_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_west,lon_west,'cubic')'./100;
               aice_north_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_north,lon_north,'cubic')./100;
               aice_east_tmp(isnan(aice_east_tmp))=0;
               aice_west_tmp(isnan(aice_west_tmp))=0;
               aice_north_tmp(isnan(aice_north_tmp))=0;
               aice_east_tmp(find(aice_east_tmp<0))=0;
               aice_west_tmp(find(aice_west_tmp<0))=0;
               aice_north_tmp(find(aice_north_tmp<0))=0;
               aice_east(:,total_day)=aice_east_tmp.*mask_east';
               aice_west(:,total_day)=aice_west_tmp.*mask_west';
               aice_north(:,total_day)=aice_north_tmp.*mask_north;
               total_day=total_day+1;
               disp(['Processing : ',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),' ... ']);
           end
           aice_east(590:623,:)=repmat(aice_east(624,:),34,1);
           aice_west(581:643,:)=repmat(aice_west(644,:),63,1);
           aice_west(find(aice_west>1))=1;aice_west(find(aice_west<0))=0;
           aice_east(find(aice_east>1))=1;aice_east(find(aice_east<0))=0;
           aice_north(find(aice_north>1))=1;aice_north(find(aice_north<0))=0;
           bryfilename=[output_datafir,'RAS_bry_data_',num2str(iyear),num2str(jmonth,'%02d'),'.mat'];
           save(bryfilename,'aice_east','aice_west','aice_north','-append');
           clear aice_east aice_west aice_north
        end
    end
   
    %-------------------------------------------------------
    %--------------------------AMSR2------------------------
    %-------------------------------------------------------
    
    if Year_list(iyear-year0+1,2)==4
        % AMSR2 (Advanced Microwave Scanning Radiometer 2)       
        filename_grid=[AMSR2_filedir,'LongitudeLatitudeGrid-s6250-Antarctic.hdf'];
        lon_amsr=hdfread(filename_grid,'Longitudes')';
        lat_amsr=hdfread(filename_grid,'Latitudes')';
        for jmonth=1:12
           total_day=1; 
           for kday=1:eomday(iyear,jmonth)
               filename=[AMSR2_filedir,num2str(iyear),'\asi-AMSR2-s6250-',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),'-v5.4.nc'];
               sic_tmp=ncread(filename,'z');
               aice_east_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_east,lon_east,'cubic')'./100;
               aice_west_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_west,lon_west,'cubic')'./100;
               aice_north_tmp=griddata(double(lat_amsr(1:2:end,1:2:end)),double(lon_amsr(1:2:end,1:2:end)),double(sic_tmp(1:2:end,1:2:end)),lat_north,lon_north,'cubic')./100;
               aice_east_tmp(isnan(aice_east_tmp))=0;
               aice_west_tmp(isnan(aice_west_tmp))=0;
               aice_north_tmp(isnan(aice_north_tmp))=0;
               aice_east_tmp(find(aice_east_tmp<0))=0;
               aice_west_tmp(find(aice_west_tmp<0))=0;
               aice_north_tmp(find(aice_north_tmp<0))=0;
               aice_east(:,total_day)=aice_east_tmp.*mask_east';
               aice_west(:,total_day)=aice_west_tmp.*mask_west';
               aice_north(:,total_day)=aice_north_tmp.*mask_north;
               total_day=total_day+1;
               disp(['Processing : ',num2str(iyear),num2str(jmonth,'%02d'),num2str(kday,'%02d'),' ... ']);
           end
           aice_east(590:622,:)=repmat(aice_east(623,:),33,1);
           aice_west(581:623,:)=repmat(aice_west(624,:),43,1);
           aice_west(find(aice_west>1))=1;aice_west(find(aice_west<0))=0;
           aice_east(find(aice_east>1))=1;aice_east(find(aice_east<0))=0;
           aice_north(find(aice_north>1))=1;aice_north(find(aice_north<0))=0;
           bryfilename=[output_datafir,'RAS_bry_data_',num2str(iyear),num2str(jmonth,'%02d'),'.mat'];
           save(bryfilename,'aice_east','aice_west','aice_north','-append');
           clear aice_east aice_west aice_north
        end
    end
end




