% 
clc;
clear all;

Year_begin=2003;
Year_end=2016;
modelbasedate = datenum(1998,1,1);
bry_filename_path='..\Ross_amundsen_roms_model\boundary_file\B2_Glosea5_after_interp\';
outputdir='..\Ross_amundsen_roms_model\boundary_file\B3_RAS_boundary_varibles_yearly\';

%------------------------model grid info-----------------------
ROMS_grdfiles_dir=['..\Ross_amundsen_roms_model\grid_file\'];
grdfilename=[ROMS_grdfiles_dir,'RAS_grd_32layer_new.nc'];     
mask_rho=ncread(grdfilename,'mask_rho');
mask_u=ncread(grdfilename,'mask_u');
mask_v=ncread(grdfilename,'mask_v');
lon_rho=ncread(grdfilename,'lon_rho');
lat_rho=ncread(grdfilename,'lat_rho');
for i=1:1000
    for j=1:1000
        if lon_rho(i,j)<0
            lon_rho(i,j)=lon_rho(i,j)+360;
        end
    end
end
lon_west=lon_rho(1,:);
lat_west=lat_rho(1,:);
mask_west=mask_rho(1,:)';
mask_u_west=mask_u(1,:)';
mask_v_west=mask_v(1,:)';
lon_east=lon_rho(end,:);
lat_east=lat_rho(end,:);
mask_east=mask_rho(end,:)';
mask_u_east=mask_u(end,:)';
mask_v_east=mask_v(end,:)';
lon_north=lon_rho(:,end);
lat_north=lat_rho(:,end);
mask_north=mask_rho(:,end);
mask_u_north=mask_u(:,end);
mask_v_north=mask_v(:,end);


for iyear=Year_begin:Year_end
    
    if iyear==2000||iyear==2004||iyear==2008||iyear==2012||iyear==2016
        dim_brytime = 366;  % leap year
    else
        dim_brytime = 365;  % non-leap year
    end

    bry_filename=[bry_filename_path,'RAS_bry_data_',num2str(iyear),'01.mat'];
    load(bry_filename);
    zeta_west_bry=zeta_west;
    zeta_east_bry=zeta_east;
    zeta_north_bry=zeta_north;
    salt_west_bry=salt_west;
    salt_east_bry=salt_east;
    salt_north_bry=salt_north;
    temp_west_bry=temp_west;
    temp_east_bry=temp_east;
    temp_north_bry=temp_north;
    ubar_west_bry=ua_west;
    ubar_east_bry=ua_east;
    ubar_north_bry=ua_north;
    vbar_west_bry=va_west;
    vbar_east_bry=va_east;
    vbar_north_bry=va_north;
    aice_west_bry=aice_west;
    aice_east_bry=aice_east;
    aice_north_bry=aice_north;
    dye_west_01_bry=dye_west_01;
    dye_east_01_bry=dye_east_01;
    dye_north_01_bry=dye_north_01;   
    t_salt_bry=t_salt';
    t_zeta_bry=t_zeta';
    t_v2d_bry=t_v2d';
    t_temp_bry=t_temp';
    ts_bry=ts;
    for jmonth=2:12
        bry_filename=[bry_filename_path,'RAS_bry_data_',num2str(iyear),num2str(jmonth,'%02d'),'.mat'];
        load(bry_filename);
        zeta_west_bry=cat(2,zeta_west_bry,zeta_west);
        zeta_east_bry=cat(2,zeta_east_bry,zeta_east);
        zeta_north_bry=cat(2,zeta_north_bry,zeta_north);
        salt_west_bry=cat(3,salt_west_bry,salt_west);
        salt_east_bry=cat(3,salt_east_bry,salt_east);
        salt_north_bry=cat(3,salt_north_bry,salt_north);
        temp_west_bry=cat(3,temp_west_bry,temp_west);
        temp_east_bry=cat(3,temp_east_bry,temp_east);
        temp_north_bry=cat(3,temp_north_bry,temp_north);
%         u_west=cat(3,u_west,u_west);
%         u_east=cat(3,u_east,u_east);
%         u_north=cat(3,u_north,u_north);
%         v_west=cat(3,v_west,v_west);
%         v_east=cat(3,v_east,v_east);
%         v_north=cat(3,v_north,v_north);
        ubar_west_bry=cat(2,ubar_west_bry,ua_west);
        ubar_east_bry=cat(2,ubar_east_bry,ua_east);
        ubar_north_bry=cat(2,ubar_north_bry,ua_north);
        vbar_west_bry=cat(2,vbar_west_bry,va_west);
        vbar_east_bry=cat(2,vbar_east_bry,va_east);
        vbar_north_bry=cat(2,vbar_north_bry,va_north);
        aice_west_bry=cat(2,aice_west_bry,aice_west);
        aice_east_bry=cat(2,aice_east_bry,aice_east);
        aice_north_bry=cat(2,aice_north_bry,aice_north);
        dye_west_01_bry=cat(3,dye_west_01_bry,dye_west_01);
        dye_east_01_bry=cat(3,dye_east_01_bry,dye_east_01);
        dye_north_01_bry=cat(3,dye_north_01_bry,dye_north_01);
        t_salt_bry=cat(2,t_salt_bry,t_salt');
        t_zeta_bry=cat(2,t_zeta_bry,t_zeta');
        t_v2d_bry=cat(2,t_v2d_bry,t_v2d');
        t_temp_bry=cat(2,t_temp_bry,t_temp');
        ts_bry=cat(1,ts_bry,ts);
    end
    %----------add south boundary (zeros matrix)---------
    dye_south_01_bry=zeros(size(dye_north_01_bry));
    aice_south_bry=zeros(size(aice_north_bry));
    temp_south_bry=zeros(size(temp_north_bry));
    salt_south_bry=zeros(size(salt_north_bry));
    zeta_south_bry=zeros(size(zeta_north_bry));
    ubar_south_bry=zeros(size(ubar_north_bry));
    vbar_south_bry=zeros(size(vbar_north_bry));
    %---------add dye02&dye03 (zeros matrix)--------------
    dye_west_02_bry=zeros(size(dye_west_01_bry));
    dye_east_02_bry=zeros(size(dye_east_01_bry));
    dye_north_02_bry=zeros(size(dye_north_01_bry));
    dye_south_02_bry=zeros(size(dye_north_01_bry));
    dye_west_03_bry=zeros(size(dye_west_01_bry));
    dye_east_03_bry=zeros(size(dye_east_01_bry));
    dye_north_03_bry=zeros(size(dye_north_01_bry));
    dye_south_03_bry=zeros(size(dye_north_01_bry));
    %-----------------MASK----------------------
    for k=1:dim_brytime
        zeta_east_bry(:,k)=zeta_east_bry(:,k).*mask_east;
        zeta_west_bry(:,k)=zeta_west_bry(:,k).*mask_west;
        zeta_north_bry(:,k)=zeta_north_bry(:,k).*mask_north;
        ubar_east_bry(:,k)=ubar_east_bry(:,k).*mask_u_east;
        ubar_west_bry(:,k)=ubar_west_bry(:,k).*mask_u_west;
        ubar_north_bry(:,k)=ubar_north_bry(:,k).*mask_u_north;
        vbar_east_bry(:,k)=vbar_east_bry(:,k).*mask_v_east;
        vbar_west_bry(:,k)=vbar_west_bry(:,k).*mask_v_west;
        vbar_north_bry(:,k)=vbar_north_bry(:,k).*mask_v_north;
        for d=1:32
            temp_east_bry(:,d,k)=temp_east_bry(:,d,k).*mask_east;
            temp_west_bry(:,d,k)=temp_west_bry(:,d,k).*mask_west;
            temp_north_bry(:,d,k)=temp_north_bry(:,d,k).*mask_north;
            salt_east_bry(:,d,k)=salt_east_bry(:,d,k).*mask_east;
            salt_west_bry(:,d,k)=salt_west_bry(:,d,k).*mask_west;
            salt_north_bry(:,d,k)=salt_north_bry(:,d,k).*mask_north;
        end
    end
%     if iyear>=2003
%        t_salt_bry=t_salt_bry+1826;
%        t_zeta_bry=t_zeta_bry+1826;
%        t_v2d_bry=t_v2d_bry+1826;
%        t_temp_bry=t_temp_bry+1826;
%     end
    %----------------save data-----------------
    filename=[outputdir,'RAS_bry_',num2str(iyear),'.mat'];
    save(filename,'zeta_west_bry','zeta_east_bry','zeta_north_bry','zeta_south_bry');
    save(filename,'salt_west_bry','salt_east_bry','salt_north_bry','salt_south_bry','-append');
    save(filename,'temp_west_bry','temp_east_bry','temp_north_bry','temp_south_bry','-append');
    save(filename,'ubar_west_bry','ubar_east_bry','ubar_north_bry','ubar_south_bry','-append');
    save(filename,'vbar_west_bry','vbar_east_bry','vbar_north_bry','vbar_south_bry','-append');
    save(filename,'dye_west_01_bry','dye_east_01_bry','dye_north_01_bry','dye_south_01_bry','-append');
    save(filename,'dye_west_02_bry','dye_east_02_bry','dye_north_02_bry','dye_south_02_bry','-append');
    save(filename,'dye_west_03_bry','dye_east_03_bry','dye_north_03_bry','dye_south_03_bry','-append');
    save(filename,'aice_west_bry','aice_east_bry','aice_north_bry','aice_south_bry','-append');
    save(filename,'t_salt_bry','t_zeta_bry','t_v2d_bry','t_temp_bry','ts_bry','-append');
    
    disp(['Done ',num2str(iyear),' !']);
end

