% add tide into bouudary files
% Created by xiechuan  
% date: 2021/11/20
clc;
clear all;

Year_begin=2003;
Year_end=2018;
modelbasedate = datenum(1998,1,1);
tidebasedate = datenum(2003,1,1);
outputdir='..\Ross_amundsen_roms_model\boundary_file\B4_RAS_boundary_tide_files\';

load([outputdir,'RAS_tide.mat']);
for iyear=Year_begin:Year_end
    
    if iyear==2000||iyear==2004||iyear==2008||iyear==2012||iyear==2016
        dim_brytime = 366;  % leap year
    else
        dim_brytime = 365;  % non-leap year
    end
    index_begin=24*(datenum(iyear,1,1)-tidebasedate)+1;
    index_end=index_begin+dim_brytime*24-1 ;

    time_tide=tide_time(index_begin:index_end,1)-tide_time(1)+(tidebasedate-modelbasedate);
    ubar_east_tide=ubar_east(:,index_begin:index_end);
    vbar_east_tide=vbar_east(:,index_begin:index_end);
    zeta_east_tide=zeta_east(:,index_begin:index_end);
    ubar_west_tide=ubar_west(:,index_begin:index_end);
    vbar_west_tide=vbar_west(:,index_begin:index_end);
    zeta_west_tide=zeta_west(:,index_begin:index_end);
    ubar_north_tide=ubar_north(:,index_begin:index_end);
    vbar_north_tide=vbar_north(:,index_begin:index_end);
    zeta_north_tide=zeta_north(:,index_begin:index_end);
    zeta_south_tide=zeros(size(zeta_north_tide));
    ubar_south_tide=zeros(size(ubar_north_tide));
    vbar_south_tide=zeros(size(vbar_north_tide));
    %------------------------------------------
    time_tide(end-22:end,:) = [];
    ubar_east_tide(:,end-22:end) = [];
    vbar_east_tide(:,end-22:end) = [];
    zeta_east_tide(:,end-22:end) = [];
    ubar_west_tide(:,end-22:end) = [];
    vbar_west_tide(:,end-22:end) = [];
    zeta_west_tide(:,end-22:end) = [];
    ubar_north_tide(:,end-22:end) = [];
    vbar_north_tide(:,end-22:end) = [];
    zeta_north_tide(:,end-22:end) = [];
    zeta_south_tide(:,end-22:end) = [];
    ubar_south_tide(:,end-22:end) = [];
    vbar_south_tide(:,end-22:end) = [];

    %----------------save data-----------------
    filename=[outputdir,'RAS_bry_',num2str(iyear),'_tide.mat'];
    save(filename,'time_tide');
    save(filename,'ubar_east_tide','vbar_east_tide','zeta_east_tide','-append');
    save(filename,'ubar_west_tide','vbar_west_tide','zeta_west_tide','-append');
    save(filename,'ubar_north_tide','vbar_north_tide','zeta_north_tide','-append');
    save(filename,'ubar_south_tide','vbar_south_tide','zeta_south_tide','-append');

    disp(['Done ',num2str(iyear),' !']);
end
