%  Interpolate and Generate Initial field variables
%  Written by XieChuan (xiechuan@sjtu.edu.cn)
%  Date: 2021-10-28
clc;
clear all
close all
inivarfilename='..\initialization_file\data\RAS_ini.mat';
%% -------------------load model info-----------------
gridfilename=['..\grid_file\RAS_grd_32layer.nc'];
lon_rho_RAS=ncread(gridfilename,'lon_rho');
lat_rho_RAS=ncread(gridfilename,'lat_rho');
for i=1:1000
    for j=1:1000
        if lon_rho_RAS(i,j)<0
            lon_rho_RAS(i,j)=lon_rho_RAS(i,j)+360;
        end
    end
end
h=ncread(gridfilename,'h');
mask_rho_RAS=ncread(gridfilename,'mask_rho');
N_RAS = 32;    
Vtransform = 2;   % Vertical transformation equation: 1, original; 2, new
Vstretching = 4;  % Vstretching   Vertical stretching function:
theta_s=ncread(gridfilename,'theta_s');
theta_b=ncread(gridfilename,'theta_b');
hc = ncread(gridfilename,'hc');
zice_RAS = ncread(gridfilename,'zice');
zeta_iceshelf = zice_RAS;  
[Mp,Lp] = size(h);
L=Lp-1;
M=Mp-1;
%
% for rho points
igrid=1; 
zr_RAS=set_depth(Vtransform,Vstretching,theta_s,theta_b,hc,N_RAS,igrid,h,zeta_iceshelf,0);
%% ---------------load circum Antarctic model info----------
somodelfilename='..\circum_Antarctic_initial_field\so_avg_0405.cutout.nc';
lon_rho_so=ncread(somodelfilename,'lon_rho');
lat_rho_so=ncread(somodelfilename,'lat_rho');
for i=1:1151
    for j=1:751
        if lon_rho_so(i,j)<0
            lon_rho_so(i,j)=lon_rho_so(i,j)+360;
        end
    end
end
mask_rho_so = ncread(somodelfilename,'mask_rho');
h = ncread(somodelfilename,'h');
zeta_iceshelf = ncread(somodelfilename,'zice');   
Vtransform = ncread(somodelfilename,'Vtransform');  % Vertical transformation equation: 1, original; 2, new
Vstretching = ncread(somodelfilename,'Vstretching');  % Vstretching   Vertical stretching function:
theta_s = ncread(somodelfilename,'theta_s');
theta_b = ncread(somodelfilename,'theta_b');
hc = ncread(somodelfilename,'hc');
N_so = 32;
% for rho points
igrid=1; 
zr_so=set_depth(Vtransform,Vstretching,theta_s,theta_b,hc,N_so,igrid,h,zeta_iceshelf,0);
for i=1:1151
    for j=1:751
        if mask_rho_so(i,j)==0
            zr_so(i,j,:)=NaN;
        end
    end
end
%% ---------------------salt&temp----------------
% circum Antarctic model¶ȺζֵRASģÿ
temp_raw=ncread(somodelfilename,'temp');
salt_raw=ncread(somodelfilename,'salt');
temp_raw=nanmean(temp_raw,4);
salt_raw=nanmean(salt_raw,4);
for z=1:N_so   
%     zr_so_ras(:,:,z)=griddata(lon_rho_so,lat_rho_so,zr_so(:,:,z),lon_rho_RAS,lat_rho_RAS,'nearest');  
    temp_so(:,:,z)=griddata(lon_rho_so,lat_rho_so,temp_raw(:,:,z),lon_rho_RAS,lat_rho_RAS,'nearest');  
    salt_so(:,:,z)=griddata(lon_rho_so,lat_rho_so,salt_raw(:,:,z),lon_rho_RAS,lat_rho_RAS,'nearest');  
    disp(['level: ' num2str(z)]);
end
% ڻϼģRASģͲֱͬӽÿͬ
temp_ini=temp_so;
salt_ini=salt_so;
% %ʼ
% salt_ini=NaN(Lp,Mp,N_RAS);
% temp_ini=NaN(Lp,Mp,N_RAS);
% %ϼģֵֵʼ
% for i=1:Lp
%     for j=1:Mp
%        if mask_rho_RAS(i,j)==1
%            for k=1:N_RAS 
%               [~,I_depth]=min(abs(zr_so_ras(i,j,:)-zr_RAS(i,j,k)));
%               salt_ini(i,j,k)=salt_so(i,j,I_depth);
%               temp_ini(i,j,k)=temp_so(i,j,I_depth);
%            end
%            disp(['Interpolating: i:',num2str(i),' j:',num2str(j) ' from circum Antarctic model data']);    
%        end 
%     end
% end
%ڽֵȱֵ
for k=1:N_RAS 
      estimate_interp=1;
      while estimate_interp>0
        disp('Loop fill missing value in temp!')
        for i=1:Lp
            for j=1:Mp
                if mask_rho_RAS(i,j)==1&&isnan(temp_ini(i,j,k))
                    if i>3&&i<Mp-3
                        temp_ini(i,j,k)=nanmean(temp_ini(i-3:i+3,j-3:j+3,k),'all');
                    elseif i<=3
                        temp_ini(i,j,k)=nanmean(temp_ini(i:i+5,j-3:j+3,k),'all');
                    elseif i>=Mp-3
                        temp_ini(i,j,k)=nanmean(temp_ini(i-5:i,j-3:j+3,k),'all');                  
                    end
                end
            end
        end
        estimate_interp=0;
        for i=1:Lp
            for j=1:Mp
                if mask_rho_RAS(i,j)==1&&isnan(temp_ini(i,j,k))
                    estimate_interp=estimate_interp+1;
                end
            end
        end
      end
end

for k=1:N_RAS 
     estimate_interp=1;
     while estimate_interp>0
        disp('Loop fill missing value in salt!')
        for i=1:Lp
            for j=1:Mp
                if mask_rho_RAS(i,j)==1&&isnan(salt_ini(i,j,k))
                    if i>3&&i<Mp-3
                        salt_ini(i,j,k)=nanmean(salt_ini(i-3:i+3,j-3:j+3,k),'all');
                    elseif i<=3
                        salt_ini(i,j,k)=nanmean(salt_ini(i:i+5,j-3:j+3,k),'all');
                    elseif i>=Mp-3
                        salt_ini(i,j,k)=nanmean(salt_ini(i-5:i,j-3:j+3,k),'all');                  
                    end
                end
            end
        end
        estimate_interp=0;
        for i=1:Lp
            for j=1:Mp
                if mask_rho_RAS(i,j)==1&&isnan(salt_ini(i,j,k))
                    estimate_interp=estimate_interp+1;
                end
            end
        end
     end
end
%land mask=0
for i=1:Lp
     for j=1:Mp
         if mask_rho_RAS(i,j)==0
            salt_ini(i,j,:)=0;     
            temp_ini(i,j,:)=0;
         end
     end
end
disp(['Salt&temp Completed!']);
save(inivarfilename,'salt_ini','temp_ini','-append');
%% ------------------------dye_01-------------------------
% CDW dye
load('..\grid_file\mask_shelf.mat');
dye_01_ini=zeros(Lp,Mp,N_RAS);
for i=1:Lp
   for j=1:Mp
      if mask_rho_RAS(i,j)==1&&mask_shelf(i,j)==0   %no dye was initialized on the shelf
          %½ܶΪˮ1000
       for k=1:N_RAS 
          depth_dye=-zr_RAS(i,j,k);
          temp_dye=temp_ini(i,j,k);
          if temp_dye>0&&depth_dye>200 
              %dye_01ָʾcdw
              %ȴ200m¶ȴ0
              dye_01_ini(i,j,k)=1;
%             disp(['The CDW tracer is placed in: i:',num2str(i),' j:',num2str(j)]); 
          end
       end
      end
   end
end
disp(['Dye_01 Completed!']);
save(inivarfilename,'dye_01_ini','-append');

%% -----------------------aice&hice-----------------------
inivarfilename='..\data\RAS_ini.mat';
aice_ini=zeros(Lp,Mp);
hice_ini=zeros(Lp,Mp);
aice_raw=ncread(somodelfilename,'aice');
aice_raw=nanmean(aice_raw,3);
hice_raw=ncread(somodelfilename,'hice');
hice_raw=nanmean(hice_raw,3);
aice_ini=griddata(lon_rho_so,lat_rho_so,aice_raw,lon_rho_RAS,lat_rho_RAS,'nearest');
hice_ini=griddata(lon_rho_so,lat_rho_so,hice_raw,lon_rho_RAS,lat_rho_RAS,'nearest');
%ڽֵȱֵ--aice
estimate_interp=1;
while estimate_interp>0
    disp('Loop fill missing value in aice!')
    for i=1:Lp
        for j=1:Mp
            if mask_rho_RAS(i,j)==1&&isnan(aice_ini(i,j))
                if i>3&&i<Mp-3
                    aice_ini(i,j)=nanmean(aice_ini(i-3:i+3,j-3:j+3),'all');
                elseif i<=3
                    aice_ini(i,j)=nanmean(aice_ini(i:i+5,j-3:j+3),'all');
                elseif i>=Mp-3
                    aice_ini(i,j)=nanmean(aice_ini(i-5:i,j-3:j+3),'all');                  
                end
            end
        end
    end
    estimate_interp=0;
    for i=1:Lp
        for j=1:Mp
            if mask_rho_RAS(i,j)==1&&isnan(aice_ini(i,j))
                estimate_interp=estimate_interp+1;
            end
        end
    end
end
%ڽֵȱֵ--hice
estimate_interp=1;
while estimate_interp>0
    disp('Loop fill missing value in hice!')
    for i=1:Lp
        for j=1:Mp
            if mask_rho_RAS(i,j)==1&&isnan(hice_ini(i,j))
                if i>3&&i<Mp-3
                    hice_ini(i,j)=nanmean(hice_ini(i-3:i+3,j-3:j+3),'all');
                elseif i<=3
                    hice_ini(i,j)=nanmean(hice_ini(i:i+5,j-3:j+3),'all');
                elseif i>=Mp-3
                    hice_ini(i,j)=nanmean(hice_ini(i-5:i,j-3:j+3),'all');                  
                end
            end
        end
    end
    estimate_interp=0;
    for i=1:Lp
        for j=1:Mp
            if mask_rho_RAS(i,j)==1&&isnan(hice_ini(i,j))
                estimate_interp=estimate_interp+1;
            end
        end
    end
end
%½ͱȡ0ֵ
for i=1:Lp
    for j=1:Mp
        if mask_rho_RAS(i,j)==0||zice_RAS(i,j)~=0   
            aice_ini(i,j)=0;
            hice_ini(i,j)=0;
        end
    end
end
save(inivarfilename,'aice_ini','hice_ini','-append');




