% Figure.10 in the manuscript

clc
clear all;
%%
filedir_name=['..\data\Figure-10\'];
load([filedir_name,'2008_gamma_data.mat']);
load([filedir_name,'2010_gamma_data.mat']);
load([filedir_name,'2012_gamma_data.mat']);
load([filedir_name,'2014_gamma_data.mat']);

model_1060m=[gamma_model_2008_1062m';gamma_model_2010_1036m';gamma_model_2012_1069m';gamma_model_2014_1069m(1,1:end)'];
obs_1060m=[gamma_obs_2008_1062m';gamma_obs_2010_1036m';gamma_obs_2012_1069m';gamma_obs_2014_1069m(1,1:end)'];
model_500m=[gamma_model_2010_463m';gamma_model_2012_509m';gamma_model_2014_509m(1,1:end)'];
obs_500m=[gamma_obs_2010_463m';gamma_obs_2012_509m';gamma_obs_2014_509m(1,1:end)'];

[R1,P1]=corrcoef(model_1060m,obs_1060m);
[R2,P2]=corrcoef(model_500m,obs_500m);

%%
[dim,~]=size(obs_500m);

set(gcf,'unit','centimeters','position',[1 5 21.78 9.6]);
ha=tight_subplot(1,2,[.02 .1],[.15 .1],[.1 .03]);
axes(ha(1));
plot(obs_500m,'color','#000000','linewidth',1.9);
hold on
plot(model_500m,'color','#c4b112','linewidth',1.9);
legend({'Mooring data','RAISE'},'Location','northwest','FontSize',9);
ylim([28.3 28.64])
ylabel('Neutral Density [kg m^{-3}]','fontsize',9);
% xlabel('Date','fontsize',10);
xticks([1:73:dim dim]);
xticklabels({'02/2010','02/2011','02/2012','02/2013','02/2014','02/2015','02/2016'});
xlim([1 dim]);
box on
grid on
text(230,28.325,['\bf R=',num2str(R2(1,2),'%.2f'),', P<0.001'],'fontsize',12);
text(320,28.6,'\bf 500 m','FontSize',12);
title('\bf (a)','fontsize',9);
ax = gca;
ax.TitleHorizontalAlignment = 'left';
set(gca,'FontName','SansSarif');
set(gca,'Fontsize',11); 
set(gca,'linewidth',1.5);

[dim,~]=size(obs_1060m);

axes(ha(2));
plot(obs_1060m,'color','#000000','linewidth',1.9);
hold on
plot(model_1060m,'color','#c4b112','linewidth',1.9);
legend({'Mooring data','RAISE'},'Location','northwest','FontSize',9);
ylim([28.5 28.8])
% ylabel('Neutral Density [kg m^{-3}]','fontsize',9);
% xlabel('Date','fontsize',9);
xticks([1:73:dim dim]);
xticklabels({'02/2008','02/2009','02/2010','02/2011',...
    '02/2012','02/2013','02/2014','02/2015','02/2016'});
xlim([1 dim]);
box on
grid on
text(320,28.525,['\bf R=',num2str(R1(1,2),'%.2f'),', P<0.001'],'fontsize',12);
text(420,28.76,'\bf 1060 m','fontsize',12);
title('\bf (b)','FontSize',9);
ax = gca;
ax.TitleHorizontalAlignment = 'left';
set(gca,'FontName','SansSerif');
set(gca,'Fontsize',11); 
set(gca,'linewidth',1.5);
