%code for Figure.12a in GMD manuscript
%Chuan Xie (xiechuan@sjtu.edu.cn)
clc;
clear all;

%% load grid information from RAS model grid file
load('..\grid_file\ice_shelf\iceshelf_land_line_and_mask.mat');
load('..\grid_file\RAS_depth.mat');
load('..\grid_file\mask_shelf.mat');
grdfilename='..\grid_file\RAS_grd_32layer_new.nc';
lon_rho=ncread(grdfilename,'lon_rho');
lat_rho=ncread(grdfilename,'lat_rho');
mask_rho=ncread(grdfilename,'mask_rho');
zice=ncread(grdfilename,'zice');
h=ncread(grdfilename,'h');
dz=zw(:,:,2:end)-zw(:,:,1:end-1);
pm=ncread(grdfilename,'pm');
pn=ncread(grdfilename,'pn');
grid_area=1./(pm.*pn);
RAS_volume=grid_area.*dz;
for i=1:1000
    for j=1:1000
        if lon_rho(i,j)<0
            lon_rho(i,j)=lon_rho(i,j)+360;
        end
    end
end 
for i=1:1000
    for j=1:1000
        if mask_rho(i,j)==0
            h(i,j)=NaN;
        end
    end
end


%% region area
RAS_data_dirname=['..\Base_simulation_nudging\'];

% -----------------------2003-----------------------
% 2003.085	-76.751	169.89	IT-03
% 2003.085	-77.004	169.908	IT-03
% 2003.085	-77.21	169.94	IT-03
point_lon=169.89;point_lat=-76.751;
depth=-500;  
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=38;   %2003-01-31
timeindex=2;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=169.94;point_lat=-77.21;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=38;   %2003-01-31
timeindex=2;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=169.908;point_lat=-77.004;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=38;   %2003-01-31
timeindex=2;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_03=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2003=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02+salt_RAS_RI_500m_03)./3;
disp(['Salinity of 500m in Ross Island 2003: ',num2str(salt_RI_RAS_500m_2003)]);

	
% -----------------------2004-----------------------
% 2004.148	-77.497	165.475	NP04-02
% 2004.148	-76.604	167.979	NP04-02
point_lon=165.475;point_lat=-77.497;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=45;   %2004-02-23
timeindex=10;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=167.979;point_lat=-76.604;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=45;   %2004-02-23
timeindex=10;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2004=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02)./2;
disp(['Salinity of 500m in Ross Island 2004: ',num2str(salt_RI_RAS_500m_2004)]);

% -----------------------2005-----------------------
% 2005.148
point_lon=168.974;point_lat=-76.657;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=52;   %2005-02-01
timeindex=9;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2005=salt_RAS_RI_500m_01;
disp(['Salinity of 500m in Ross Island 2005: ',num2str(salt_RI_RAS_500m_2005)]);


% -----------------------2006-----------------------
% 2005.997	-76.733	169.716	NP06-01
% 2006.049	-76.657	168.974	NP06-01
% 2006.134	-77.917	167.309	MIS-06
point_lon=169.716;point_lat=-76.733;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=59;   %2005-12-29
timeindex=5;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=168.974;point_lat=-76.657;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=59;   %2006-01-18
timeindex=9;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=167.309;point_lat=-77.917;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=60;   %2006-02-18
timeindex=5;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_03=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2006=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02+salt_RAS_RI_500m_03)./3;
disp(['Salinity of 500m in Ross Island 2006: ',num2str(salt_RI_RAS_500m_2006)]);


% -----------------------2007-----------------------
% 2007.107	-77.103      	166.329     
% 2007.107	-77.15        	167.33       
% 2007.107	-77.167	        168.33
% 2007.107	-77.431      	170.303     
point_lon=166.329;point_lat=-77.103;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=67;   %2007-02-8
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

%2007.107	
point_lon=167.33;point_lat=-77.15;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=67;   %2007-02-8
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

%2007.107		
point_lon=168.33;point_lat=-77.167;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=67;   %2007-02-8
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_03=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

%2007.107	
point_lon=170.303;point_lat=-77.431;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=67;   %2007-02-8
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_04=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2007=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02+salt_RAS_RI_500m_03+salt_RAS_RI_500m_04)./4;
disp(['Salinity of 500m in Ross Island 2007: ',num2str(salt_RI_RAS_500m_2007)]);


% -----------------------2008-----------------------
% 2007.918	-77.659	165.956	IH-07
% 2008.005	-77.167	168.33	OD-08
point_lon=165.956;point_lat=-77.659;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=73;   %2007-12-01
timeindex=5;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=168.33;point_lat=-77.167;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=74;   %2008-01-02
timeindex=2;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp


salt_RI_RAS_500m_2008=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02)./2;
disp(['Salinity of 500m in Ross Island 2008: ',num2str(salt_RI_RAS_500m_2008)]);


% ---------------------2009-----------------------
% 2009.016	-77.273	165.53	OD-09
point_lon=165.53;point_lat=-77.273;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=81;   %2009-1-06
timeindex=5;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2009=salt_RAS_RI_500m_01;
disp(['Salinity of 500m in Ross Island 2009: ',num2str(salt_RI_RAS_500m_2009)]);


% ---------------------2010-----------------------
% 2010.038	-77.169	168.341	NP10-05
point_lon=168.341;point_lat=-77.169;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=88;   %2010-1-14
timeindex=10;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2010=salt_RAS_RI_500m_01;
disp(['Salinity of 500m in Ross Island 2010: ',num2str(salt_RI_RAS_500m_2010)]);


% ---------------------2011-----------------------
% 2011.038	-77.169	168.341	NP10-05
point_lon=168.341;point_lat=-77.169;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=96;   %2011-1-14
timeindex=3;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2011=salt_RAS_RI_500m_01;
disp(['Salinity of 500m in Ross Island 2011: ',num2str(salt_RI_RAS_500m_2011)]);


% ---------------------2012-----------------------
% 2011.923	-77.833	165.9	IH-11
% 2012.093	-77.167	168.333	NP12-01
point_lon=165.9;point_lat=-77.833;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=102;   %2011-12-03
timeindex=8;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=168.333;point_lat=-77.167;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=103;   %2012-2-03
timeindex=10;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2012=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02)./2;
disp(['Salinity of 500m in Ross Island 2012: ',num2str(salt_RI_RAS_500m_2012)]);


% ---------------------2013-----------------------
% 2013.118	-77.528	165.732	NP13-02
% 2013.118	-77.166	168.333	NP13-02
% 2013.126	-76.933	169.25	NP13-02
point_lon=165.732;point_lat=-77.528;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=111;   %2013-2-12
timeindex=5;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=168.333;point_lat=-77.166;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=111;   %2013-2-12
timeindex=5;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=169.25;point_lat=-76.933;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=111;   %2013-2-15
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_03=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2013=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02+salt_RAS_RI_500m_03)./3;
disp(['Salinity of 500m in Ross Island 2013: ',num2str(salt_RI_RAS_500m_2013)]);


% ---------------------2014-----------------------
% 2014.005	-77	      170.542	NP13-10
% 2014.005	-77	      170.779	NP13-10
% 2014.088	-77.175   168.324	IT-14
point_lon=170.542;point_lat=-77;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=117;   %2014-1-2
timeindex=10;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=170.779;point_lat=-77;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=117;   %2014-1-2
timeindex=10;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=168.324;point_lat=-77.175;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=118;   %2014-2-1
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_03=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2014=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02+salt_RAS_RI_500m_03)./3;
disp(['Salinity of 500m in Ross Island 2014: ',num2str(salt_RI_RAS_500m_2014)]);


% ---------------------2015-----------------------
point_lon=170;point_lat=-77;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=125;   %2015-1-24
timeindex=7;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2015=salt_RAS_RI_500m_01;
disp(['Salinity of 500m in Ross Island 2015: ',num2str(salt_RI_RAS_500m_2015)]);



% ---------------------2016-----------------------
% 2016.068	-76.734	167.916	IT-16	6	47
point_lon=167.916; point_lat=-76.734;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=132;   %2016-1-25
timeindex=10;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2016=salt_RAS_RI_500m_01;
disp(['Salinity of 500m in Ross Island 2016: ',num2str(salt_RI_RAS_500m_2016)]);


% ---------------------2017-----------------------
% 2016.945	-76.837	169.976	AL10098	10	48
% 2016.948	-76.849	169.9	AL10098	11	48
% 2017.112	-77.167	168.33	AR-17	33	49
point_lon=169.976;point_lat=-76.837;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=139;   %2016-12-11
timeindex=4;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=169.9;point_lat=-76.849;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=139;   %2016-12-12
timeindex=5;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=168.33;point_lat=-77.167;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=140;   %2017-2-10
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_03=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2017=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02+salt_RAS_RI_500m_03)./3;
disp(['Salinity of 500m in Ross Island 2017: ',num2str(salt_RI_RAS_500m_2017)]);


% ---------------------2018-----------------------
% 2018.063	-77.166	168.331	NP18-01	33	50
% 2018.063	-77.148	168.494	NP18-01	34	50
point_lon=168.331;point_lat=-77.166;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=147;   %2018-1-23
timeindex=6;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

point_lon=168.494;point_lat=-77.148;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=147;   %2018-1-23
timeindex=6;
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_02=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2018=(salt_RAS_RI_500m_01+salt_RAS_RI_500m_02)./2;
disp(['Salinity of 500m in Ross Island 2018: ',num2str(salt_RI_RAS_500m_2018)]);


% ---------------------2019-----------------------
% 2019.104   	-76.627      	170.984     	AP5904166	273	51
point_lon=170.984;point_lat=-76.627;
depth=-500;
[Mi,Ij,Depth_I]=findpoint(point_lon,point_lat,depth);
filenum=155;   %2019-2-7
timeindex=2;   
filename=[RAS_data_dirname,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
salt_tmp=ncread(filename,'salt');
salt_RAS_RI_500m_01=salt_tmp(Mi,Ij,Depth_I,timeindex);
clear salt_tmp

salt_RI_RAS_500m_2019=salt_RAS_RI_500m_01;
disp(['Salinity of 500m in Ross Island 2019: ',num2str(salt_RI_RAS_500m_2019)]);


salt_RI_RAS_500m_yearly=[salt_RI_RAS_500m_2003(1);salt_RI_RAS_500m_2004(1);salt_RI_RAS_500m_2005(1);...
                         salt_RI_RAS_500m_2006(1);salt_RI_RAS_500m_2007(1);salt_RI_RAS_500m_2008(1);...
                         salt_RI_RAS_500m_2009(1);salt_RI_RAS_500m_2010(1);salt_RI_RAS_500m_2011(1);...
                         salt_RI_RAS_500m_2012(1);salt_RI_RAS_500m_2013(1);salt_RI_RAS_500m_2014(1);...
                         salt_RI_RAS_500m_2015(1);salt_RI_RAS_500m_2016(1);salt_RI_RAS_500m_2017(1);...
                         salt_RI_RAS_500m_2018(1);salt_RI_RAS_500m_2019(1)];

save('..\GMD_2024\data\Figure-12\salt_RI_500m_RAS.mat',...
    'salt_RI_RAS_500m_yearly');

%%
load('..\GMD_2024\data\Figure-12\salt_RI_500m_RAS.mat');
filename="..\Model_validation\DSW\Validation_of_HSSW_salinity.xlsx";
sheet = 1;
%------------------------------RI----------------------------------------
% xlRange = 'D150:D166';
% HSSW_RI_RAISE = xlsread(filename,sheet,xlRange);
HSSW_RI_RAISE = salt_RI_RAS_500m_yearly;
xlRange = 'E150:E166';
HSSW_RI_CTD = xlsread(filename,sheet,xlRange);

year_begin=2003;
year_end=2019;
year=year_begin:year_end;

set(gcf,'Position',[80 260 620 350]);
[R1,P1]=corrcoef(HSSW_RI_RAISE,HSSW_RI_CTD);
plot(year,HSSW_RI_RAISE,'-o','color','#c4b112','MarkerFaceColor','#c4b112','linewidth',2.5);
hold on
plot(year,HSSW_RI_CTD,'-o','color','#000000','MarkerFaceColor','#000000','linewidth',2.5);
xlim([year_begin,year_end]);
ylimmin=34.6;
ylimmax=34.93;
ylim([ylimmin,ylimmax]);
ylabel('Salinity [PSU]');
text(2003.5,ylimmin+0.03,['\bf R= ',num2str(roundn(R1(1,2),-2),'%4.2f'),...
    ', P=',num2str(roundn(P1(1,2),-3),'%4.3f')],'color','k','fontsize',16);
text(2011,34.88,'\bf Ross Island (500m)','fontsize',16);
legend({'RAISE','CTD'},'Location','northwest','NumColumns',3);
title('\bf (a)','fontsize',11);
ax = gca;
ax.TitleHorizontalAlignment = 'left';
set(gca,'linewidth',2);
set(gca,'fontsize',12);
grid on

