% Figure.2 in the manuscript
clc
clear all;

load('..\GMD_2024\data\Figure-2\RMSE_CGlors.mat');
load('..\data\Figure-2\RMSE_Gecco3.mat');
load('..\data\Figure-2\RMSE_Glorys.mat');
load('..\data\Figure-2\RMSE_GloSea.mat');
load('..\data\Figure-2\RMSE_oras5.mat');
%%
figure(1)
set(gcf,'Position',[340 50 750 650]);
Depth=1:2000;
subplot(1,2,1)
plot(RMSE_temp_CGlors(1:2000,1),Depth,'color',"#211D1F",'linewidth',1.5);
hold on
plot(RMSE_temp_Gecco3(1:2000,1),Depth,'color',"#0B70B7",'linewidth',1.5);
plot(RMSE_temp_Glorys(1:2000,1),Depth,'color',"#068E38",'linewidth',1.5);
plot(RMSE_temp_GloSea(1:2000,1),Depth,'color',"#C1282D",'linewidth',1.5);
plot(RMSE_temp_oras5(1:2000,1),Depth,'color',"#F7C925",'linewidth',1.5);
ylabel('Depth [m]');
xlabel('Temperature RMSE to EN4 [\circC]');
set(gca,'ydir','reverse');
title('(a)');
ax = gca;
ax.TitleHorizontalAlignment = 'left';
legend({'C-GLORS','GECCO3','GLORYS12V1','GloSea5','ORAS5'},...
    'Location','southeast','NumColumns',1);
set(gca,'linewidth',1.5);
set(gca,'fontsize',11);

subplot(1,2,2)
plot(RMSE_salt_CGlors(1:2000,1),Depth,'color',"#211D1F",'linewidth',1.5);
hold on
plot(RMSE_salt_Gecco3(1:2000,1),Depth,'color',"#0B70B7",'linewidth',1.5);
plot(RMSE_salt_Glorys(1:2000,1),Depth,'color',"#068E38",'linewidth',1.5);
plot(RMSE_salt_GloSea(1:2000,1),Depth,'color',"#C1282D",'linewidth',1.5);
plot(RMSE_salt_oras5(1:2000,1),Depth,'color',"#F7C925",'linewidth',1.5);
set(gca,'ydir','reverse');
xlabel('Salinity RMSE to EN4 [psu]');
title('(b)');
ax = gca;
ax.TitleHorizontalAlignment = 'left';
legend({'C-GLORS','GECCO3','GLORYS12V1','GloSea5','ORAS5'},...
    'Location','southeast','NumColumns',1);
set(gca,'linewidth',1.5);
set(gca,'fontsize',11);



RMSE_S_GloSea_below_1000m=mean(RMSE_salt_GloSea(1000:end),'all','omitnan');
RMSE_T_GloSea_below_1000m=mean(RMSE_temp_GloSea(1000:end),'all','omitnan');



