% Figure.5 in the manuscript

clc
clear all
%% load seasonal data
salt_total=zeros(1000,1000,32);
temp_total=zeros(1000,1000,32);

filedir_path='..\Base_simulation_nudging\';
for filenum=38:155
    filename=[filedir_path,'RAS_avg_0',num2str(filenum,'%03d'),'.nc'];
    salt_tmp=ncread(filename,'salt');
    salt_mean=mean(salt_tmp,4); clear salt_tmp
    salt_total=salt_total+salt_mean;
    temp_tmp=ncread(filename,'temp');
    temp_mean=mean(temp_tmp,4); clear temp_tmp
    temp_total=temp_total+temp_mean;
    disp(filenum)
end
salt_climatology_RAISE=salt_total./118;
temp_climatology_RAISE=temp_total./118;


save('..\GMD_2024\data\Figure-6\TS_climatology_RAISE.mat','salt_climatology_RAISE','temp_climatology_RAISE');

%%
grdfilename='..\grid_file\RAS_grd_32layer_new.nc';
lon_rho=ncread(grdfilename,'lon_rho');
lat_rho=ncread(grdfilename,'lat_rho');

dim_xi_rho=1000;   
dim_eta_rho=1000;
dim_z=32;

load('..\GMD_2024\data\Figure-6\TS_climatology_RAISE.mat');

filename='..\GMD_2024\data\Figure-6\TS_climatology_RAISE.nc';
%--------------------------------------------------------------------------
nccreate(filename,'temp','Dimensions',{'xi_rho',dim_xi_rho,'eta_rho',dim_eta_rho,'z',dim_z},'FillValue','disable');
ncwriteatt(filename,'temp','long_name','temperature')
%--------------------------------------------------------------------------
nccreate(filename,'salt','Dimensions',{'xi_rho',dim_xi_rho,'eta_rho',dim_eta_rho,'z',dim_z},'FillValue','disable');
ncwriteatt(filename,'salt','long_name','salinity')
%--------------------------------------------------------------------------
nccreate(filename,'lon_rho','Dimensions',{'xi_rho',dim_xi_rho,'eta_rho',dim_eta_rho},'FillValue','disable');
ncwriteatt(filename,'lon_rho','long_name','longitude')
%--------------------------------------------------------------------------
nccreate(filename,'lat_rho','Dimensions',{'xi_rho',dim_xi_rho,'eta_rho',dim_eta_rho},'FillValue','disable');
ncwriteatt(filename,'lat_rho','long_name','latitude')

ncwrite(filename,'temp',temp_climatology_RAISE);
ncwrite(filename,'salt',salt_climatology_RAISE);
ncwrite(filename,'lon_rho',lon_rho);
ncwrite(filename,'lat_rho',lat_rho);












